#ifndef _VIRTUAL_H_
#define _VIRTUAL_H_

#include "ftpaccess.h"
#include "VirtualBase.h"

class Virtual : public VirtualBase {
	Q_OBJECT
public:
	Virtual(QWidget *parent=0, const char *name=0);
public slots:
	void	ftpaccessLoaded(ftpaccess *xs);
	void	update();
	void	vHostSelected(int host);
	void	addPressed();
	void	removePressed();
	void	VHostAdded(const QString &IP);
private:
	void	redraw();
	ftpaccess *	ftpxs;
	int		curHost;
};

#endif
